using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using fatd_faturamento.DAL.Persistencia;
using fatd_faturamento.ENTIDADE;

namespace fatd_faturamento.BLL.Repositorio
{
    public class repositorioAtendComClaGru
    {

        public void Insert(entidadeAtendComClaGru objAtendComClaGru)
        {
            dalAtendComClaGru dalAtendComClaGru = null;

            try
            {
                dalAtendComClaGru = new dalAtendComClaGru();

                dalAtendComClaGru.Insert(objAtendComClaGru);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Update(entidadeAtendComClaGru objAtendComClaGru)
        {
            dalAtendComClaGru dalAtendComClaGru = null;

            try
            {
                dalAtendComClaGru = new dalAtendComClaGru();

                dalAtendComClaGru.Update(objAtendComClaGru);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Update_1(entidadeAtendComClaGru objAtendComClaGru)
        {
            dalAtendComClaGru dalAtendComClaGru = null;

            try
            {
                dalAtendComClaGru = new dalAtendComClaGru();

                dalAtendComClaGru.Update_1(objAtendComClaGru);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Delete(entidadeAtendComClaGru objAtendComClaGru)
        {
            dalAtendComClaGru dalAtendComClaGru = null;

            try
            {
                dalAtendComClaGru = new dalAtendComClaGru();

                dalAtendComClaGru.Delete(objAtendComClaGru);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeAtendComClaGru> Select(entidadeAtendComClaGru objAtendComClaGru)
        {
            dalAtendComClaGru dalAtendComClaGru = null;

            var lstAtendComClaGru = new List<entidadeAtendComClaGru>();
            DataTable dt = null;

            try
            {
                dalAtendComClaGru = new dalAtendComClaGru();
                dt = dalAtendComClaGru.Select(objAtendComClaGru);

                foreach (DataRow dr in dt.Rows)
                {
                    objAtendComClaGru = new entidadeAtendComClaGru();


                    if (!Convert.IsDBNull(dr["ID"]))
                        objAtendComClaGru.ID = Convert.ToInt32(dr["ID"]);

                    if (!Convert.IsDBNull(dr["DESCRICAO"]))
                        objAtendComClaGru.DESCRICAO = dr["DESCRICAO"].ToString();

                    if (!Convert.IsDBNull(dr["SITUACAO"]))
                        objAtendComClaGru.SITUACAO = dr["SITUACAO"].ToString();

                    if (!Convert.IsDBNull(dr["IDUSUARIOS"]))
                        objAtendComClaGru.IDUSUARIOS = Convert.ToInt32(dr["IDUSUARIOS"]);


                    lstAtendComClaGru.Add(objAtendComClaGru);
                }
                return lstAtendComClaGru;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeAtendComClaGru> SelectMax(entidadeAtendComClaGru objAtendComClaGru)
        {
            dalAtendComClaGru dalAtendComClaGru = null;

            var lstAtendComClaGru = new List<entidadeAtendComClaGru>();
            DataTable dt = null;

            try
            {
                dalAtendComClaGru = new dalAtendComClaGru();
                dt = dalAtendComClaGru.SelectMax(objAtendComClaGru);

                foreach (DataRow dr in dt.Rows)
                {
                    objAtendComClaGru = new entidadeAtendComClaGru();

                    if (!Convert.IsDBNull(dr["ID"]))
                        objAtendComClaGru.ID = Convert.ToInt32(dr["ID"]);


                    lstAtendComClaGru.Add(objAtendComClaGru);
                }
                return lstAtendComClaGru;
            }
            catch (Exception)
            {
                throw;
            }
        }


    }
}
